{% extends 'base.html.twig' %}

{% block title %}Import des produits{% endblock %}

{% block body %}
    <div class="container-fluid">
        <div class="card">
            <div class="card-header">
                <h1 class="card-title">Importez vos produits</h1>
            </div>
            <div class="card-body">
                <h2>Import des produits</h2>
                <p>
                    Importez vos produits grâce à un export CSV en reliant chaque colonne à la case correspondante
                </p>
                <hr>
                {{ form_start(form, {action: path('dashboard_product_import_start_import')}) }}
                <div class="form-group">
                    {{ form_label(form.name, 'Nom du produit') }}
                    {{ form_widget(form.name, {attr: {class: 'select2 form-control'}}) }}
                    {{ form_errors(form.name) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.price, 'Prix du produit') }}
                    {{ form_widget(form.price, {attr: {class: 'select2 form-control'}}) }}
                    {{ form_errors(form.price) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.description, 'Description du produit') }}
                    {{ form_widget(form.description, {attr: {class: 'select2 form-control'}}) }}
                    {{ form_errors(form.description) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.sku, 'UGS') }}
                    {{ form_widget(form.sku, {attr: {class: 'select2 form-control'}}) }}
                    {{ form_errors(form.sku) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.quantity, 'Quantité') }}
                    {{ form_widget(form.quantity, {attr: {class: 'select2 form-control'}}) }}
                    {{ form_errors(form.quantity) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.categories, 'Catégories') }}
                    {{ form_widget(form.categories, {attr: {class: 'select2 form-control'}}) }}
                    {{ form_errors(form.categories) }}
                </div>
                <div class="form-group">
                    {{ form_label(form.images, 'Images') }}
                    {{ form_widget(form.images, {attr: {class: 'select2 form-control'}}) }}
                    {{ form_errors(form.images) }}
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-primary">Importer</button>
                </div>
                {{ form_end(form) }}
            </div>
        </div>
    </div>
{% endblock %}